/**

Digital Shop version 3.0.4
Copyright (C) 2008-2014 JF Nutbroek <jfnutbroek@gmail.com>
See the included End User License Agreement (EULA)

*/

goldstar = new Image;
greystar = new Image;
goldstar.src = 'shopgfx/stargoldsmall.png';
greystar.src = 'shopgfx/stargreysmall.png';

function validateform() {
	try {
		var valid1=true;valid2=true;valid3=true;
		clearform();
		if (!(/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(document.forms[0].email1.value))) {valid1=false;}
		if (!(/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(document.forms[0].email2.value))) {valid2=false;}
		if (!(document.forms[0].country == null || document.forms[0].country == undefined)) {
			if (document.forms[0].paymentoption.value=='bips' && document.forms[0].country.value=='--') {valid3=false;}
			if (document.forms[0].paymentoption.value=='mb' && document.forms[0].country.value=='--') {valid3=false;}
			if (document.forms[0].paymentoption.value=='an' && document.forms[0].country.value=='--') {valid3=false;}
			if (document.forms[0].paymentoption.value=='bank' && document.forms[0].country.value=='--') {valid3=false;}
		}
		if (valid1 && valid2 && (document.forms[0].email1.value!=document.forms[0].email2.value)) {valid1=false;valid2=false;}
		if ((valid1 && valid2 && valid3)) {
			document.forms[0].submit();
		} else {
			if (!valid1) {document.forms[0].email1.style.backgroundColor='#FF0000';}
			if (!valid2) {document.forms[0].email2.style.backgroundColor='#FF0000';}
			if (!valid3) {document.forms[0].country.style.backgroundColor='#FF0000';}
		}
	} catch (err) {}
}

function validateaffiliate(updatepassword) {
	try {
		var valid1=true;valid2=true;valid3=true;valid4=true;
		clearform();
		if (!(/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(document.forms[0].email1.value))) {valid1=false;}
		if (!(/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(document.forms[0].email2.value))) {valid2=false;}
		if (document.forms[0].password1.value.length<5 && updatepassword==false) {valid3=false;}
		if (document.forms[0].password2.value.length<5 && updatepassword==false) {valid4=false;}        
		if (document.forms[0].password1.value!=document.forms[0].password2.value) {valid3=false;valid4=false;}
		if ((valid1 && valid2 && valid3 && valid4)) {
			document.forms[0].submit();
		} else {
			if (!valid1) {document.forms[0].email1.style.backgroundColor='#FF0000';}
			if (!valid2) {document.forms[0].email2.style.backgroundColor='#FF0000';}
			if (!valid3) {document.forms[0].password1.style.backgroundColor='#FF0000';}
			if (!valid4) {document.forms[0].password2.style.backgroundColor='#FF0000';}
		}
	} catch (err) {}
}

function validatecontact() {
	try {
		var valid1=true;
		clearcontactform();
		if (!(/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(document.forms[0].contact_email.value))) {
			document.forms[0].contact_email.style.backgroundColor='#FF0000';
		} else {
				document.forms[0].submit();
		}
	} catch (err) {}
}

function clearcontactform() {
	try {	
		document.forms[0].contact_email.style.backgroundColor='#FFFFFF';
	} catch (err) {}	
}

function clearform() {
	try {	
		document.forms[0].email1.style.backgroundColor='#FFFFFF';
		document.forms[0].email2.style.backgroundColor='#FFFFFF';
		document.forms[0].country.style.backgroundColor='#FFFFFF';
		if (!(document.forms[0].password1 == null || document.forms[0].password1 == undefined)) {
			document.forms[0].password1.style.backgroundColor='#FFFFFF';
			document.forms[0].password2.style.backgroundColor='#FFFFFF';
		}
	} catch (err) {}	
}

function staractivate(gold) {
	try {	
		switch(gold) {
		case 1:
			document.forms[0].star1.src=goldstar.src;
			document.forms[0].star2.src=greystar.src;
			document.forms[0].star3.src=greystar.src;
			document.forms[0].star4.src=greystar.src;
			document.forms[0].star5.src=greystar.src;
			break;
		case 2:
			document.forms[0].star1.src=goldstar.src;
			document.forms[0].star2.src=goldstar.src;
			document.forms[0].star3.src=greystar.src;
			document.forms[0].star4.src=greystar.src;
			document.forms[0].star5.src=greystar.src;
			break;
		case 3:
			document.forms[0].star1.src=goldstar.src;
			document.forms[0].star2.src=goldstar.src;
			document.forms[0].star3.src=goldstar.src;
			document.forms[0].star4.src=greystar.src;
			document.forms[0].star5.src=greystar.src;
			break;
		case 4:
			document.forms[0].star1.src=goldstar.src;
			document.forms[0].star2.src=goldstar.src;
			document.forms[0].star3.src=goldstar.src;
			document.forms[0].star4.src=goldstar.src;
			document.forms[0].star5.src=greystar.src;
			break;
		case 5:
			document.forms[0].star1.src=goldstar.src;
			document.forms[0].star2.src=goldstar.src;
			document.forms[0].star3.src=goldstar.src;
			document.forms[0].star4.src=goldstar.src;
			document.forms[0].star5.src=goldstar.src;
			break;
		}
	} catch (err) {}	
}

function stardeactivate(rating) {
	try {	
		switch(rating) {
		case 1:
			document.forms[0].star1.src=goldstar.src;
			document.forms[0].star2.src=greystar.src;
			document.forms[0].star3.src=greystar.src;
			document.forms[0].star4.src=greystar.src;
			document.forms[0].star5.src=greystar.src;
			break;
		case 2:
			document.forms[0].star1.src=goldstar.src;
			document.forms[0].star2.src=goldstar.src;
			document.forms[0].star3.src=greystar.src;
			document.forms[0].star4.src=greystar.src;
			document.forms[0].star5.src=greystar.src;
			break;
		case 3:
			document.forms[0].star1.src=goldstar.src;
			document.forms[0].star2.src=goldstar.src;
			document.forms[0].star3.src=goldstar.src;
			document.forms[0].star4.src=greystar.src;
			document.forms[0].star5.src=greystar.src;
			break;
		case 4:
			document.forms[0].star1.src=goldstar.src;
			document.forms[0].star2.src=goldstar.src;
			document.forms[0].star3.src=goldstar.src;
			document.forms[0].star4.src=goldstar.src;
			document.forms[0].star5.src=greystar.src;
			break;
		case 5:
			document.forms[0].star1.src=goldstar.src;
			document.forms[0].star2.src=goldstar.src;
			document.forms[0].star3.src=goldstar.src;
			document.forms[0].star4.src=goldstar.src;
			document.forms[0].star5.src=goldstar.src;
			break;
		default:
			document.forms[0].star1.src=greystar.src;
			document.forms[0].star2.src=greystar.src;
			document.forms[0].star3.src=greystar.src;
			document.forms[0].star4.src=greystar.src;
			document.forms[0].star5.src=greystar.src;
		}		
	} catch (err) {}	
}

function Expand(divsection) {
	try {
		var element = document.getElementById(divsection);
		element.style.display = "block";
	} catch (err) {}
}

function Collapse(divsection) {
	try {
		var element = document.getElementById(divsection);
		element.style.display = "none";
	} catch (err) {}
}

function getViewportWidth() {
    var viewPortWidth; 
    if (typeof window.innerWidth != 'undefined') {
        viewPortWidth = window.innerWidth;
    } else if (typeof document.documentElement != 'undefined' && typeof document.documentElement.clientWidth != 'undefined' && document.documentElement.clientWidth != 0) {
        viewPortWidth = document.documentElement.clientWidth;
    } else {
        viewPortWidth = document.getElementsByTagName('body')[0].clientWidth;
    }
    return viewPortWidth;
}
